Subject: Re: Suggestion for changes in 5.5 (Intercommunicators)

From: [email-masked] (Tom Henderson)
Date: Tue, 4 Jan 94 10:28:12 MST

Marc,

Your suggestions for changing section 5.5.2 (MPI_INTERCOMM_TEST(), etc.) make 
sense to me.  I assume that a "high quality" implementation will be able to 
detect the erroneous case where "remote_leader = MPI_ANY_SOURCE" for BOTH 
leaders in calls to MPI_INTERCOMM_START() or MPI_INTERCOMM_MAKE() and return 
an appropriate error status to the user...  Is there any reason why this would 
not be possible?  (Error status might actually be returned by 
MPI_INTERCOMM_TEST() instead of MPI_INTERCOMM_START()...).  

Regarding your suggestions for changing section 5.5.3, I am concerned about 
removing the name server without a formal vote.  Perhaps this would be a good 
thing to discuss and vote on at the February meeting?  

Tom